# jpegenc

Encodes jpeg images.

## Example launch line

     gst-launch-1.0 videotestsrc num-buffers=50 ! video/x-raw, framerate='(fraction)'5/1 ! jpegenc ! avimux ! filesink location=mjpeg.avi

a pipeline to mux 5 JPEG frames per second into a 10 sec. long motion jpeg avi.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstVideoEncoder
                        ╰──jpegenc

## Implemented interfaces

    GstPreset

## Factory details

Authors: – Wim Taymans

Classification: – `Codec/Encoder/Image`

Rank – primary

Plugin – jpeg

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    video/x-raw:
             format: { I420, YV12, YUY2, UYVY, Y41B, Y42B, YVYU, Y444, NV21, NV12, RGB, BGR, RGBx, xRGB, BGRx, xBGR, GRAY8 }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – sink

Object type – GstPad

### `src`

    image/jpeg:
              width: [ 1, 65535 ]
             height: [ 1, 65535 ]
          framerate: [ 0/1, 2147483647/1 ]
         sof-marker: { (int)0, (int)1, (int)2, (int)4, (int)9 }

Presence – always

Direction – src

Object type – GstPad

## Properties

### idct-method

    “idct-method” GstIDCTMethod *

The IDCT algorithm to use

Flags : Read / Write

Default value : ifast (1)

### quality

    “quality” gint

Quality of encoding

Flags : Read / Write

Default value : 85

### snapshot

    “snapshot” gboolean

Send EOS after encoding a frame, useful for snapshots.

Flags : Read / Write

Default value : false

Since : 1.14

## Named constants

### GstIDCTMethod

#### Members

`islow` (0) – Slow but accurate integer algorithm
`ifast` (1) – Faster, less accurate integer method
`float` (2) – Floating-point: accurate, fast on fast HW

The results of the search are